#include <iostream>
#include <print>

// Stackklasse einbinden
import Stack;

// Stackobjekt definieren
Stack myStack;

int main()
{
   bool retVal;
   short val;

   // Stack so lange füllen bis er voll ist
   std::println("Schiebe Werte auf Stack:");
   do
   {
      val = std::rand() % 100;
      retVal = myStack.Push(val);
      if (retVal)
          std::print("{} ", val);
   } while (retVal);

   // Alle Werte vom Stack wieder holen
   std::println("\n\nLese Werte vom Stack:");
   while (myStack.Pop(val))
   {
       std::print("{} ", val);
   }
   std::cout << '\n';
}
